package com.rrtx.services.common.constant;

import com.rrtx.fap.starter.translate.constant.TranslateParam;

/**
 * @projectName: services
 * @package: com.rrtx.services.common.constant
 * @className: ContextParam
 * @description:
 * @author: Jie Zhang
 * @createDate: 2019/12/11 9:19
 */
public class ContextParam extends TranslateParam {
    public static final ThreadLocal<String> BSN_CODE = new ThreadLocal<>();

    // 当前线程用户ID
    public static final ThreadLocal<String> USER_ID = new ThreadLocal<>();

    public static final ThreadLocal<String> TOKEN = new ThreadLocal<>();
    public static final ThreadLocal<String> OS = new ThreadLocal<>();
    public static final ThreadLocal<String> OS_NAME = new ThreadLocal<>();
    public static final ThreadLocal<String> OS_VERSION = new ThreadLocal<>();
    public static final ThreadLocal<String> DEV_NO = new ThreadLocal<>();
    public static final ThreadLocal<String> DEV_IMSI = new ThreadLocal<>();

    public static final ThreadLocal<String> PRO_LANGUAGE = new ThreadLocal<>();
}
